
From: Luc Van Oostenryck <lkml@looxix.net>

In the setup function, the delay variable is initialized with ints[2],
but ints is declared as:
	int ints[2];

Since the module parameter should correspond to:
	tipar=timeout,delay

I suppose that the following patch fix the problem.

Signed-off-by: Luc Van Oostenryck <luc.vanoostenryck@looxix.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/tipar.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/tipar.c~drivers-char-tiparc-off-by-one-array-access drivers/char/tipar.c
--- 25/drivers/char/tipar.c~drivers-char-tiparc-off-by-one-array-access	2005-06-24 02:18:01.000000000 -0700
+++ 25-akpm/drivers/char/tipar.c	2005-06-24 02:18:23.000000000 -0700
@@ -396,7 +396,7 @@ static struct file_operations tipar_fops
 static int __init
 tipar_setup(char *str)
 {
-	int ints[2];
+	int ints[3];
 
 	str = get_options(str, ARRAY_SIZE(ints), ints);
 
_
